using OASystem.API.OAMethodLib.Quartz.Business;
using Quartz;
using QuzrtzJob.Factory;

namespace OASystem.API.OAMethodLib.Quartz.Jobs
{
    /// <summary>
    /// 团组币种 定时任务
    /// </summary>
    public class GroupTeamCurrencyJob : IJob
    {
        private readonly ILogger<GroupTeamCurrencyJob> _logger;

        /// <summary>
        /// 团组币种
        /// 定时任务
        /// </summary>
        /// <param name="logger"></param>
        public GroupTeamCurrencyJob(ILogger<GroupTeamCurrencyJob> logger)
        {
            _logger = logger;
        }

        public Task Execute(IJobExecutionContext context)
        {
            _logger.LogInformation("调用团组币种接口 " + DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"));
            //在此处编写任务业务代码
            TeamCurrency.PostTeamCurrencyUpdate();

            return Task.CompletedTask;
        }
    }
}
